Package org.apache.commons.math3.geometry.euclidean.threed

# Class SphereGenerator

java.lang.Object
org.apache.commons.math3.geometry.euclidean.threed.SphereGenerator

All Implemented Interfaces:
  `SupportBallGenerator<Euclidean3D,Vector3D>`

public class SphereGenerator extends Object implements SupportBallGenerator<Euclidean3D,Vector3D>
Class generating an enclosing ball from its support points.

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`SphereGenerator()`

## Method Summary

Modifier and Type
Method
Description
`EnclosingBall<Euclidean3D,Vector3D>`
`ballOnSupport(List<Vector3D> support)`
Create a ball whose boundary lies on prescribed support points.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SphereGenerator

public SphereGenerator()

## Method Details

### ballOnSupport

public EnclosingBall<Euclidean3D,Vector3D> ballOnSupport(List<Vector3D> support)
Create a ball whose boundary lies on prescribed support points.

Specified by:
  `ballOnSupport` in interface `SupportBallGenerator<Euclidean3D,Vector3D>`
Parameters:
  `support` - support points (may be empty)
Returns:
  ball whose boundary lies on the prescribed support points